<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\ShowDruckListen;

class ShowDruckListenController extends \Kufer\Web\KuferTools\Basis\PdfListen\ShowPdfListen\ShowPdfListenController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowDruckListenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getSessionVarName4TotalDataStr()
  {
    return 'totalkursdatastr_';
  }

  protected function getRequestObj()
  {
    
    $requestObj = parent::getRequestObj();
    $knrs = \PostOperations::getVarValue('knrs');
    $requestObj->knrAry = explode(':', $knrs);

    return $requestObj;
  }

  protected function getId()
  {
    return \RequestOperations::getVarValue('knr');
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowDruckListenPresenter($pUseCaseResponse);
  }
}